execute unless score start stats matches 1.. if entity @e[type=slime,nbt={HurtTime:9s}] run scoreboard players set start stats 81
execute if score start stats matches 1.. run scoreboard players remove start stats 1

#start sequence
execute if score start stats matches 80 as @a at @s run playsound minecraft:entity.generic.explode master @a ~ ~ ~ 2 2
execute if score start stats matches 80 as @e[type=slime,tag=start] at @s run particle block gold_block ~ ~0.5 ~ 0.15 0.15 0.15 1 10 normal
execute if score start stats matches 80 as @e[type=slime,tag=start] at @s run particle explosion ~ ~ ~ 0 0 0 1 0
execute if score start stats matches 80 run data merge entity @e[type=area_effect_cloud,tag=start,limit=1] {CustomName:'{"text":"Starting!","color":"green"}'}

execute if score start stats matches 60 as @a at @s run playsound minecraft:block.note_block.bit master @a ~ ~ ~ 2 1
execute if score start stats matches 60 as @e[type=slime,tag=start] at @s run particle block lime_wool ~ ~0.5 ~ 0.15 0.15 0.15 1 10 normal
execute if score start stats matches 60 run data merge entity @e[type=armor_stand,tag=start,limit=1] {ArmorItems:[{},{},{},{id:"minecraft:lime_wool",Count:1b}]}
execute if score start stats matches 60 run data merge entity @e[type=area_effect_cloud,tag=start,limit=1] {CustomName:'{"text":"3","color":"green"}'}

execute if score start stats matches 40 as @a at @s run playsound minecraft:block.note_block.bit master @a ~ ~ ~ 2 1
execute if score start stats matches 40 as @e[type=slime,tag=start] at @s run particle block orange_wool ~ ~0.5 ~ 0.15 0.15 0.15 1 10 normal
execute if score start stats matches 40 run data merge entity @e[type=armor_stand,tag=start,limit=1] {ArmorItems:[{},{},{},{id:"minecraft:orange_wool",Count:1b}]}
execute if score start stats matches 40 run data merge entity @e[type=area_effect_cloud,tag=start,limit=1] {CustomName:'{"text":"2","color":"gold"}'}

execute if score start stats matches 20 as @a at @s run playsound minecraft:block.note_block.bit master @a ~ ~ ~ 2 1
execute if score start stats matches 20 as @e[type=slime,tag=start] at @s run particle block red_wool ~ ~0.5 ~ 0.15 0.15 0.15 1 10 normal
execute if score start stats matches 20 run data merge entity @e[type=armor_stand,tag=start,limit=1] {ArmorItems:[{},{},{},{id:"minecraft:red_wool",Count:1b}]}
execute if score start stats matches 20 run data merge entity @e[type=area_effect_cloud,tag=start,limit=1] {CustomName:'{"text":"1","color":"red"}'}

execute if score start stats matches 1 run function sette:start/start
execute if score start stats matches 1 run function sette:start/reset

execute if score start stats matches 1.. run title @a actionbar {"text":"Game is starting!","color":"green"}

#Cancel Start
execute if score start stats matches 1.. if entity @e[type=slime,nbt={HurtTime:10s}] run function sette:start/cancel

#Countdown once started
execute if score countdown stats matches 1.. run function sette:start/countdown

#barrier when in countdown
execute if score game stats matches 1 if score countdown stats matches 1.. run fill 28 -12 524 28 -9 503 barrier replace air
execute if score game stats matches 1 unless score countdown stats matches 1.. run fill 28 -12 524 28 -9 503 air replace barrier